/*  *******************************************************************
    NOM:        PROVES.C
    CREAT PER:  Sergio Blanco Cuaresma
    		Francesc Galiano Baixauli
    DATA:       17/05/2001
    DESCRIPCIO: Fitxer de prova per evaluar el correcte funcionament de
    		les funcions d'accs a pantalla en mode text 80x25
    		(pantalla.asm).
    ******************************************************************* */

#include <stdio.h>
#include "pantalla.h"
#include "tipus.h"

void main  (void ){
	WORD	caracter;
	int	bucle1, bucle2;

	IniPantalla();
	EsborrarPantalla(7);
	
	/* Aquest bucle omplira tota la pantalla amb el simbol asscii 177
	   i amb el color vermell (red) */

	for (bucle1=0; bucle1<26;bucle1++){
		for (bucle2=0; bucle2<81;bucle2++){
			EscriureCar(bucle1,bucle2,177,4);
		}
	}

	EscriureString(6,32,"EC I - Practica 5",207);
	EscriureString(10,29,"Sergio Blanco Cuaresma",248);
	EscriureString(12,28,"Francesc Galiano Baixauli",248);
	printf("Text aleatori [Final=ENTER]: ");
	getchar();

	/* Guardem el caracter i atribut que hi ha a l'inici del text aleatori pero ho
	   fem segons el que hi ha visualitzat a pantalla i no per variables */
	caracter = QuinCarAtr(23, 29);
	printf("A la pos. [23,29] (inici del text aleatori) hi ha: <%c>\n", caracter);
	printf("Presioni ENTER per finalitzar...");
	
	/* Fem un flush de l'entrada standard per evitar que el text introduit per l'usuari
	   sigui agafat per l'ultim getchar() i aixi s'aturara fins rebre un RETURN */
	fflush(stdin);
	getchar();
	EsborrarPantalla(7);
}